Subject: Re: echo is wrong...
From: [email-masked] (Tsuyoshi Tada)

9 Apr 1998 02:49:18 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

> > In the Linux
> > 
> > [nagyl@piheno nagyl]$ echo  "aaa"|od -c
> > 0000000   a   a   a  \n
> > 0000004
> > 
> > In the windows NT bash
> > 
> > bash-2.01$ echo aaa|od -c
> > 0000000   a   a   a  \r  \n
> > 0000005
> > 
> > 
> > What the hell is the \r ????? 
> 
> In the DOS/Win32 world, text files have CR LF line endings, as opposed to
> Unix's LF only.  Since echo generates text, it is simply following the
> convention of the operating system and outputting a proper text file.

I also hait this behavior because I want to do these sort of things:
	tar cf - foo | rsh bar dd of=/dev/rst0 bs=20b
Funny things is that I can do this operation under NT's command prompt
without any problem, because tar manages to open pipes in binary mode.

My question is why bash opens pipes in O_TEXT mode, just ignoring
binmode switch.  In addition, what the exact purpose of binmode switch?
If it's on, can we treat all files in O_BINARY mode without
mounting all the necessary directory with text=binary ?

I also couldn't find proper info. about glob switch. Any info. would
be appreciated.
--
Tsuyoshi TADA <[email-masked]>
Advanced Analysis Technology Group
Ship & Offshore Eng. Dept, IHI
Toyosu 2-1-1, Koto-ku, Tokyo 135, JAPAN
Tel: 03-3534-3818  Fax: 03-3534-3880

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".